function AidePrograms()
   if MACXTAide and y < 240 and x < 480-string.len(MACXTAide)*8.5 then
      ypos = 18
      screen:fillRect(x - 12,y + ypos,string.len(MACXTAide) * 8.5,10,Color.new(255,255,255))
      screen:fillRect(x - 12,y + ypos + 10,string.len(MACXTAide) * 8.5,2)
      screen:fillRect(x - 14,y + ypos,2,12)
      screen:fillRect(x - 12 + string.len(MACXTAide) * 8.5,y + ypos,2,12)
      screen:fillRect(x - 12,y + ypos,string.len(MACXTAide) * 8.5,2)
      screen:print(x - 8,y + ypos + 2,MACXTAide)
   end
   if MACXTAide and y > 240 and x < 480-string.len(MACXTAide)*8.5 then
      ypos = 18
      screen:fillRect(x - 12,y - ypos,string.len(MACXTAide) * 8.5,10,Color.new(255,255,255))
      screen:fillRect(x - 12,y - ypos + 10,string.len(MACXTAide) * 8.5,2)
      screen:fillRect(x - 14,y - ypos,2,12)
      screen:fillRect(x - 12 + string.len(MACXTAide) * 8.5,y - ypos,2,12)
      screen:fillRect(x - 12,y - ypos,string.len(MACXTAide) * 8.5,2)
      screen:print(x - 8,y - ypos + 2,MACXTAide)
   end
   if MACXTKeyPad:analogX() or MACXTKeyPad:analogY() then
      MACXTAide = nil
   end
end
